Bug 440994 - [PATCH] Make find-lang.sh --with-man brp-compress friendly
Summary: [PATCH] Make find-lang.sh --with-man brp-compress friendly
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-04 20:46 UTC by Ville Skyttä
Modified: 2009-01-07 09:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 09:29:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Make find-lang.sh --with-man brp-compress friendly (1.25 KB, patch)
2008-04-04 20:46 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2008-04-04 20:46:16 UTC
rpm 4.4.2.3's "find-lang.sh foo --with-man" outputs uncompressed man pages into
foo.lang, which causes failures when foo.lang is used in %files but brp-compress
has compressed man pages in the meantime.  My bad, fix attached.

Comment 1 Ville Skyttä 2008-04-04 20:46:16 UTC
Created attachment 301335 [details]
Make find-lang.sh --with-man brp-compress friendly

Comment 2 Panu Matilainen 2008-04-15 10:29:22 UTC
Applied upstream, thanks.

Leaving open for Fedora tracking atm.

Comment 3 Bug Zapper 2008-05-14 08:55:22 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Panu Matilainen 2008-07-14 12:00:46 UTC
Fixed in rawhide now - should we close this or track for F9 status?

Comment 5 Ville Skyttä 2008-07-23 17:43:04 UTC
In case you're asking me, I'd prefer the F9 status tracking option so folks
would know when/if they can start using --with-man in F9 packages.

Comment 6 Fedora Update System 2008-12-18 00:37:24 UTC
rpm-4.4.2.3-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11390

Comment 7 Fedora Update System 2009-01-07 09:28:55 UTC
rpm-4.4.2.3-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.